EDIT - bug #6799

Implement progress monitor for DwC A export
07/11/2017 11:00 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal Found in Version:

Description

The DwcA export has been improved in #6754 and #6755. It implements now a progress monitor.
This should be correctly shown when started from TaxEditor.

Related issues:

Related to EDIT - task #6754: Adapt DwcA Export to CDM light export strategy Closed
Related to EDIT - feature request #6755: Make DwcA export available for annos... Closed
Related to EDIT - feature request #6800: Allow all filters for DwCA export in... Closed
Related to EDIT - task #2342: Open issues for DwC-A export New

Associated revisions

Revision 7de8dccc - 09/01/2017 08:34 AM - Katja Luther

ref #6799: use the progress monitor of the configurator

Revision 279ff31a - 09/01/2017 08:53 AM - Katja Luther

ref #6799: start the progress monitor

Revision 7588eacb - 09/01/2017 09:43 AM - Katja Luther

fix #6799: add totalCount of ticks as totalwork and start the progress monitor when this is calculated

Revision d1388918 - 09/14/2017 07:44 PM - Katja Luther
ref #6799: add show report to runMonitoredOperation

Revision 23443827 - 09/15/2017 11:20 AM - Katja Luther

fix #6799: the destination file should not be passed to the server

History

#1-07/11/2017 11:00 PM - Andreas Miiller
- Related to task #6754: Adapt DwcA Export to CDM light export strategy added

#2 - 07/11/2017 11:00 PM - Andreas Miiller

- Related to feature request #6755: Make DwcA export available for annosys via web services added

#3 - 07/11/2017 11:05 PM - Andreas Miuiller
- Related to feature request #6800: Allow all filters for DwCA export in TaxEditor added

#4 - 07/21/2017 10:27 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#5 - 09/01/2017 08:35 AM - Katja Luther
- Status changed from New to In Progress

- % Done changed from 0 to 20

now there is a progress monitor showing the progress for the partitioning. The % of all work is still not working.
https://dev.e-taxonomy.eu/redmine/issues/6754
https://dev.e-taxonomy.eu/redmine/issues/6755

#6 - 09/01/2017 09:44 AM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 20 to 50

Applied in changeset cdmlib|7588eacb62facab072443a1faebbaa224cf6307a.

#7 - 09/01/2017 09:44 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 50 to 20

please review

#8 - 09/14/2017 02:57 PM - Andreas Miiller
- File picture633-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

On my computer no progress bar is shown but only the dialog that you can see in the attachement which does not show any progress.

#9 - 09/14/2017 04:18 PM - Katja Luther
- File picture38-1.png added

Did you had a look at the progress view? see attached screenshot

#10 - 09/15/2017 11:20 AM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 20 to 50

Applied in changeset taxeditor|23443827458a884d97601ae1974d9701e680c789.

#11 - 09/15/2017 11:26 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#12 - 09/21/2017 12:02 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

This seems to work now.

#13 - 09/21/2017 12:04 AM - Andreas Miiller
- Status changed from Closed to Feedback

now there is a progress monitor showing the progress for the partitioning. The % of all work is still not working.

Upps, just see that not everything might be implemented yet. Please decide what to do. | don't know what exactly is still missing and how critical it is.
Feel free to create a new ticket for remaining issue if needed.

#14 - 09/22/2017 10:15 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

the % works now, too.

#15 - 09/22/2017 11:36 AM - Andreas Miuiller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/7588eacb62facab072443a1faebbaa224cf6307a
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/23443827458a884d97601ae1974d9701e680c789

- Status changed from Feedback to Resolved

#16 - 09/22/2017 01:40 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

#17 - 09/22/2017 09:11 PM - Andreas Miiller
- Related to task #2342: Open issues for DwC-A export added

Files
picture633-1.png 12.9 KB 09/14/2017 Andreas Muller
picture38-1.png 14.3 KB 09/14/2017 Katja Luther
